Public Member Functions | List of all members
clan::Line3d Class Reference
clanCore Math

3D line - Double More...

`#include <line.h>`

Inheritance diagram for clan::Line3d:

## Public Member Functions
| Line3d ()
| Line3d (const Line3x< double > &copy)
| Line3d (const Vec3< double > &podouble_p, const Vec3< double > &podouble_q)
Public Member Functions inherited from clan::Line3x< double >
| Line3x ()
| Line3x (const Line3x< double > &copy)
| Line3x (const Vec3< double > &point_p, const Vec3< double > &point_q)
Vec3< double > | get_intersection (const Line3x< double > &second, bool &intersect, doublerange=(double) 0.5) const
| Return the intersection of this and other line. More...
Line3x< double > & | operator= (const Line3x< double > &copy)
| = operator. More...
bool | operator== (const Line3x< double > &line) const
| == operator. More...
bool | operator!= (const Line3x< double > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Line3x< double >
Vec3< double > | p
Vec3< double > | q

## Detailed Description

3D line - Double

The documentation for this class was generated from the following file:

- line.h